List Addresses
curl --request GET \
--url https://api.crosoftware.com/v0/customers/{customer_id}/addresses \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.crosoftware.com/v0/customers/{customer_id}/addresses"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.crosoftware.com/v0/customers/{customer_id}/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"current_limit": 123,
"current_page": 123,
"results": [
{
"country": "<string>",
"id": 123,
"is_active": true,
"is_billing": true,
"is_physical": true,
"is_shipping": true,
"latitude": "<string>",
"line_1": "<string>",
"line_2": "<string>",
"line_3": "<string>",
"line_4": "<string>",
"locality": "<string>",
"longitude": "<string>",
"postcode": "<string>",
"region": "<string>"
}
],
"total_count": 123,
"total_pages": 123
}Customer Addresses
List Addresses
List customer addresses.
GET
/
customers
/
{customer_id}
/
addresses
List Addresses
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Version identifier (date format).
Tenant identifier. Contact CRO Software for more info if you don't already have this id. See list tenant ids for info on listing the tenants you have access to.
Path Parameters
Customer identifier.
Response
200 - application/json
Success
Customer address list (paged).
⌘I